# Set the script to stop on errors
$ErrorActionPreference = 'Stop';

# Get the directory where the script is located
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

# Define the EXE file location
$fileLocation = Join-Path $toolsDir 'dtclient-extension-release-23.1.210.0.exe'

# Define package arguments for EXE installation
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  file          = $fileLocation
  softwareName  = 'dt-clientextension*'

  # Define silent installation arguments
  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""

  # Define valid exit codes
  validExitCodes= @(0, 3010, 1641)
}

# Install the package using the defined arguments
Install-ChocolateyInstallPackage @packageArgs
